Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.registry
Class ObjectItem

    java.lang.Object
      de.grogra.graph.impl.Edge
          de.grogra.graph.impl.Node
              de.grogra.pf.registry.Item
                  de.grogra.pf.registry.ObjectItem

All Implemented Interfaces:
  Manageable, PersistenceCapable, Shareable, SharedObjectProvider, RegistryContext, UserFields, XObject, Described, Map, java.io.Serializable

Direct Known Subclasses:
  LazyObjectItem, TypeItem

    public abstract class ObjectItem

extends Item
implements SharedObjectProvider

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.graph.impl.Node
`Node.AccessorBridge, Node.FieldAttributeAccessor, Node.NType`

Nested classes/interfaces inherited from interface de.grogra.persistence.SharedObjectProvider
`SharedObjectProvider.Binding`

Nested classes/interfaces inherited from interface de.grogra.util.Map
`Map.Chain`

Field Summary
`static Node.NType` | `$TYPE`
`static Node.NType.Field` | `objDescribes$FIELD`
`static Node.NType.Field` | `type$FIELD`
`static int` | `USED_BITS`

Fields inherited from class de.grogra.graph.impl.Node
`ADDITIONAL_FIELDS, bits, DELETED, EXTENT_BIT, EXTENT_MASK, extentIndex$FIELD, extentTail$FIELD, HAS_OBSERVERS, IS_INTERPRETIVE, isInterpretive$FIELD, LAST_EXTENT_INDEX, layer$FIELD, MARK, mark$FIELD, MIME_TYPE, MIN_UNUSED_SPECIAL_OF_SOURCE, MIN_UNUSED_SPECIAL_OF_TARGET, name$FIELD`

Fields inherited from interface de.grogra.util.Described
`ACCELERATOR_KEY, ICON, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, TITLE`

Fields inherited from interface de.grogra.util.Map
`DEFAULT_VALUE, EMPTY_MAP`

Constructor Summary
`ObjectItem(java.lang.String key)`

Method Summary
`void` | `addToRegistry(Registry r, java.lang.String directory)`
`static ObjectItem` | `createReference(RegistryContext c, java.lang.Object o, java.lang.String name)`
`protected java.lang.Object` | `getDerivedDescription(java.lang.String type)`
`abstract java.lang.Object` | `getObject()`
`Type` | `getObjectType()`
`java.lang.String` | `getProviderName()`
`protected boolean` | `getTypeFromObject()`
`boolean` | `isInstance(java.lang.Class cls)`
`boolean` | `isInstance(java.lang.String type)`
`boolean` | `isInstance(Type type)`
`abstract boolean` | `isObjectFetched()`
`ResolvableReference` | `readReference(PersistenceInput in)`
`void` | `setObjDescribes(boolean v)`
`protected void` | `setType(java.lang.String type)`
`void` | `writeObject(Shareable object, PersistenceOutput out)`

Methods inherited from class de.grogra.pf.registry.Item
`activate, activateImpl, add, add, addPluginPrerequisite, addPluginPrerequisites, addRequiredFiles, addUserItem, addUserItemWithUniqueName, addWithUniqueName, beginXA, classForName, commitXA, createItem, deactivate, deactivateImpl, deriveItems, dupUnmanagedFields, equals, findAll, findAll, findAll, findFirst, findFirst, findFirst, findMax, findMax, findMax, forAll, forAll, forAll, get, getAbsoluteName, getAccessor, getAccessor, getAttributes, getAttributes, getClassLoader, getDefaultDescription, getDefaultValue, getDescription, getDescriptionImpl, getFromResource, getI18NBundle, getItem, getLock, getNTypeImpl, getParentMap, getPath, getPluginDescriptor, getRegistry, getRoot, getTransaction, getUniqueName, getWriteLock, hasEditableOptions, initPluginDescriptor, isActivated, isDirectory, isEditable, isOptionCategory, isPluginItem, isUserItem, makeUserItem, newInstance, paramString, readAttribute, remove, removeDerivedItems, resolveItem, resolveLink, set, setDefaultDescription, setDescription, setDescription, setDirectory, setName, setNameIfNull, setOption, substitute, validate`

Methods inherited from class de.grogra.graph.impl.Node
`addEdgeBitsTo, addReference, appendBranchNode, appendBranchNode, appendReferencesTo, clone, clone, cloneGraph, dump, dumpTree, dup, edgeChanged, fieldModified, findAdjacent, getAxisParent, getBoolean, getBranch, getBranchLength, getBranchNode, getBranchTail, getByte, getChar, getCommonAncestor, getCurrentGraphState, getDirectChildCount, getDouble, getEdgeAttributeAccessor, getEdgeAttributes, getEdgeBitsTo, getEdgeTo, getExtentIndex, getFirst, getFirstEdge, getFloat, getGraph, getId, getIndex, getInstantiator, getInt, getLayer, getLong, getManageableType, getName, getNeighbor, getNext, getNType, getObject, getOrCreateEdgeTo, getOrNull, getPersistenceManager, getPredecessor, getProvider, getShort, getSource, getStamp, getSuccessor, getSymbol, getSymbolColor, getTarget, getTransaction, getUserField, getUserFieldCount, getXClass, getXData, hasName, initProvider, initXClass, insertBranchNode, insertBranchNode, instantiateGraph, isAncestorOf, isDirection, isManagingInstance, isMarked, isRoot, isSource, isTarget, manageableReadResolve, manageableWriteReplace, removeAll, removeEdgeBitsTo, removeFromChain, removeFromChain, removeReference, setBranch, setBranch, setExtentIndex, setGraphForDeserialization, setLayer, setMark, setSuccessor, setSuccessor, specialEdgeAdded, specialEdgeRefModified, specialEdgeRemoved, toString, writeReplace`

Methods inherited from class de.grogra.graph.impl.Edge
`addEdgeBits, getBitMark, getEdgeBits, getObjectMark, getSpecialEdgeDescriptor, parseEdgeKeys, remove, removeEdgeBits, setBitMark, setEdgeBits, setObjectMark, testEdgeBits`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.persistence.PersistenceCapable
`getBitMark, getObjectMark, setBitMark, setObjectMark`

Field Detail

### $TYPE

    public static final Node.NType $TYPE

### objDescribes$FIELD

    public static final Node.NType.Field objDescribes$FIELD

### type$FIELD

    public static final Node.NType.Field type$FIELD

### USED_BITS

    public static final int USED_BITS

See Also:
  Constant Field Values

Constructor Detail

### ObjectItem

    public ObjectItem(java.lang.String key)

Method Detail

### addToRegistry

    public void addToRegistry(Registry r,
                              java.lang.String directory)

### createReference

    public static ObjectItem createReference(RegistryContext c,
                                             java.lang.Object o,
                                             java.lang.String name)

### getDerivedDescription

    protected java.lang.Object getDerivedDescription(java.lang.String type)

  Overrides:
    `getDerivedDescription` in class `Item`

### getObject

    public abstract java.lang.Object getObject()

### getObjectType

    public Type getObjectType()

### getProviderName

    public java.lang.String getProviderName()

  Specified by:
    `getProviderName` in interface `SharedObjectProvider`

### getTypeFromObject

    protected boolean getTypeFromObject()

### isInstance

    public boolean isInstance(java.lang.Class cls)

### isInstance

    public boolean isInstance(java.lang.String type)

### isInstance

    public boolean isInstance(Type type)

### isObjectFetched

    public abstract boolean isObjectFetched()

### readReference

    public ResolvableReference readReference(PersistenceInput in)
                                      throws java.io.IOException

  Specified by:
    `readReference` in interface `SharedObjectProvider`
  Throws:
    `java.io.IOException`

### setObjDescribes

    public void setObjDescribes(boolean v)

### setType

    protected void setType(java.lang.String type)

### writeObject

    public void writeObject(Shareable object,
                            PersistenceOutput out)
                     throws java.io.IOException

  Specified by:
    `writeObject` in interface `SharedObjectProvider`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD